---
title: "Monthly Donation: OpenBSD"
date: 2018-10-08T11:31:06+03:00
slug: "monthly-donation-openbsd"
image: /content/images/2018/10/OpenBSD-background.png
---

In keeping with my blogging traditions, I was over a week late with this post. Not that anybody would be surprised.

Last month I [donated 25 bucks to the MATE Desktop Environment](/posts/monthly-donation-mate-desktop/), my favorite desktop 
environment. If I need a full desktop environment and not just a window manager, MATE is where I look.

This month I'll be donating to a project that I've actually barely used directly. Although I want to. But a lot of the software 
born from the project is absolutely amazing. People versed in the world of Unix-like OSes (or those who read the blog post's 
title) already figured out that I'm talking about [OpenBSD](https://www.openbsd.org/).

While OpenBSD is in fact a whole BSD operating system, I personally have never ran it daily. I want to, even my personal laptop. 
There's simply too much stuff that wouldn't work, which I like to have access to. Such as Steam's recently announced proton, 
which makes Linux gaming a heaven. But I have yet to hear of anyone getting that to work on a BSD.

OpenBSD is a bit different however. Even though it is a full OS, it is perhaps more well known for it's other contributions to 
the world of Unix-like OSes. Most notably OpenSSH. A piece of software that almost anyone has running on their Linux servers. 
Even if not on your server, there's probably a client on your machine installed, perhaps being used for tasks such as cloning git 
repos.

In my case, I run a mail server powered by OpenSMTPD as well, another amazing piece of software, it saved me from the demonic 
ritual called postfix configuration. Void Linux, my Linux distro of choice is also powered by LibreSSL, another OpenBSD project. 
(Confusingly, OpenSSL is the original, and LibreSSL is the OpenBSD fork. I guess that's just what happens when your preferred 
name is taken)

I don't run the OpenBSD operating sytem directly. But there's probably no other project that has provided such a flood of 
contributions to my systems indirectly. To encourage this, **I threw 50 Euros to the OpenBSD project.** Hopefully all the OpenBSD 
projects will keep flourishing, and if Linux one day diverges too far from my needs (Not impossible, considering the recent Code 
of Conduct mess) then I might just end up running OpenBSD itself on my laptop.
